优麒麟技术论坛

 找回密码

sudo: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.33' not found [复制链接]

我系统版本是19.10,今天安装sudo dpkg -i libaudit1_3.0-2ubuntu3_amd64.deb报错后,sudo命令执行报错,升级系统版本也报错,如下图:




安装glibc-2.34也报错了




这种情况该怎么处理?


本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
发表于 4 天前
回复

使用道具 举报

sudo: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.33' not found [复制链接]

audit很多系统工具都依赖了,最好还是不要单独装,因为每一个系统版本对应的libaudit包版本不同,一不匹配就容易把系统弄坏。。。
发表于 3 天前
回复

使用道具 举报

sudo: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.33' not found [复制链接]

larue 发表于 2022-1-14 14:03
audit很多系统工具都依赖了,最好还是不要单独装,因为每一个系统版本对应的libaudit包版本不同,一不匹配 ...

那就是现在只能重装系统了?
 楼主| 发表于 3 天前
回复

使用道具 举报

sudo: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.33' not found [复制链接]

lichong 发表于 2022-1-14 16:33
那就是现在只能重装系统了?

重装应该是最省事的办法了
发表于 3 天前
回复

使用道具 举报

小黑屋|优麒麟    

GMT+8, 2022-1-17 14:43 , Processed in 0.021170 second(s), 19 queries .

Copyright ©2013-2022 Ubuntu Kylin. All Rights Reserved .

ICP No. 15002470-2 Tianjin

快速回复 返回顶部 返回列表